package com.zcloud.service.platformCourseware.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno2.platformCourseware.PlatformDataCoursewareMapper;
import com.zcloud.service.platformCourseware.PlatformDataCoursewareService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：资料课件维护
 * 作者：luoxiaobao
 * 时间：2021-06-26
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class PlatformDataCoursewareServiceImpl implements PlatformDataCoursewareService{

	@Autowired
	private PlatformDataCoursewareMapper platformDataCoursewareMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		platformDataCoursewareMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		platformDataCoursewareMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		platformDataCoursewareMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return platformDataCoursewareMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return platformDataCoursewareMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return platformDataCoursewareMapper.findById(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		platformDataCoursewareMapper.deleteAll(pd);
	}

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> findByIds(PageData pd) throws Exception {
		return platformDataCoursewareMapper.findByIds(pd);
	}

	/**下拉选项列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getSelect(PageData pd) throws Exception {
		return platformDataCoursewareMapper.getSelect(pd);
	}
	/**修改课件状态
	 * @param pd
	 * @throws Exception
	 */
	public void editByState(PageData pd)throws Exception{
		platformDataCoursewareMapper.editByState(pd);
	}

	public List<PageData> listAllByCurriculumId(PageData pd)throws Exception{
		return  platformDataCoursewareMapper.listAllByCurriculumId(pd);
	}

	/**
	 * 企业端获取 列表
	 * @param page
	 * @return
	 * @throws Exception
	 */
	@Override
	public List<PageData> listByCorpinfo(Page page) throws Exception {
		return platformDataCoursewareMapper.getListByCorpinfodatalistPage(page);
	}
}

